Package org.eclipse.microprofile.lra.tck.service

# Class LRAMetricAssertions

java.lang.Object
org.eclipse.microprofile.lra.tck.service.LRAMetricAssertions

@Dependent public final class LRAMetricAssertions extends Object
Assertion methods usable with metrics.

## Constructor Summary

Constructors
Constructor
Description
`LRAMetricAssertions()`

## Method Summary

Modifier and Type
Method
Description
`void`
`assertAfterLRA(String message, URI lraId, Class<?> participantClazz)`
Asserts that afterLRA was called for given LRA and participant class translated to fully qualified classname as String, if not the `AssertionError` with the given message is thrown.
`void`
`assertCancelled(String message, URI lraId, Class<?> participantClazz)`
Asserts that cancelled was called for given LRA and participant class translated to fully qualified classname as String, if not the `AssertionError` with the given message is thrown.
`void`
`assertClosed(String message, URI lraId, Class<?> participantClazz)`
Asserts that closed was called for given LRA and participant class translated to fully qualified classname as String, if not the `AssertionError` with the given message is thrown.
`void`
`assertCompensated(String message, URI lraId, Class<?> participantClazz)`
Asserts that compensated was called for given LRA and participant class translated to fully qualified classname as String, if not the `AssertionError` with the given message is thrown.
`void`
`assertCompensatedAllEquals(String message, int expectedNumber)`
Asserts that compensated was called `expectedNumber` times for all LRAs and resources, if not the `AssertionError` with the given message is thrown.
`void`
`assertCompensatedEquals(String message, int expectedNumber, URI lraId, Class<?> participantClazz)`
Asserts that compensated was called `expectedNumber` times for given LRA and participant class translated to fully qualified classname as String, if not the `AssertionError` with the given message is thrown.
`void`
`assertCompleted(String message, URI lraId, Class<?> participantClazz)`
Asserts that completed was called for given LRA and participant class translated to fully qualified classname as String, if not the `AssertionError` with the given message is thrown.
`void`
`assertCompletedAllEquals(String message, int expectedNumber)`
Asserts that completed was called `expectedNumber` times for all LRAs and resources, if not the `AssertionError` with the given message is thrown.
`void`
`assertCompletedEquals(String message, int expectedNumber, URI lraId, Class<?> participantClazz)`
Asserts that completed was called `expectedNumber` times for given LRA and participant class translated to fully qualified classname as String, if not the `AssertionError` with the given message is thrown.
`void`
`assertFinished(String message, URI lraId, Class<?> participantClazz)`
Asserts that given LRA within the resource name (taken as fully qualified class name) was finished, if not the `AssertionError` with the given message is thrown.
`void`
`assertForget(String message, URI lraId, Class<?> participantClazz)`
Asserts that forget was called for given LRA and participant class translated to fully qualified classname as String, if not the `AssertionError` with the given message is thrown.
`void`
`assertForgetEquals(String message, int expectedNumber, URI lraId, Class<?> participantClazz)`
Asserts that forget was called `expectedNumber` times for given LRA and participant class translated to fully qualified classname as String, if not the `AssertionError` with the given message is thrown.
`void`
`assertNested(String message, URI lraId, Class<?> participantClazz)`
Asserts that nested was called for given LRA and participant class translated to fully qualified classname as String, if not the `AssertionError` with the given message is thrown.
`void`
`assertNestedEquals(String message, int expectedNumber, URI lraId, Class<?> participantClazz)`
Asserts that nested was called `expectedNumber` times for given LRA and participant class translated to fully qualified classname as String, if not the `AssertionError` with the given message is thrown.
`void`
`assertNotAfterLRA(String message, URI lraId, Class<?> participantClazz)`
Asserts that afterLRA was not called for given LRA and resource participant class translated to fully qualified classname as String, if not the `AssertionError` with the given message is thrown.
`void`
`assertNotCancelled(String message, URI lraId, Class<?> participantClazz)`
Asserts that cancelled was not called for given LRA and resource participant class translated to fully qualified classname as String, if not the `AssertionError` with the given message is thrown.
`void`
`assertNotClosed(String message, URI lraId, Class<?> participantClazz)`
Asserts that closed was not called for given LRA and resource participant class translated to fully qualified classname as String, if not the `AssertionError` with the given message is thrown.
`void`
`assertNotCompensated(String message, URI lraId, Class<?> participantClazz)`
Asserts that compensated was not called for given LRA and participant class translated to fully qualified classname as String, if not the `AssertionError` with the given message is thrown.
`void`
`assertNotCompleted(String message, URI lraId, Class<?> participantClazz)`
Asserts that completed was not called for given LRA and resource participant class translated to fully qualified classname as String, if not the `AssertionError` with the given message is thrown.
`void`
`assertNotForget(String message, URI lraId, Class<?> participantClazz)`
Asserts that forget was not called for given LRA and resource participant class translated to fully qualified classname as String, if not the `AssertionError` with the given message is thrown.
`void`
`assertNotNested(String message, URI lraId, Class<?> participantClazz)`
Asserts that nested was not called for given LRA and resource participant class translated to fully qualified classname as String, if not the `AssertionError` with the given message is thrown.
`void`
`assertNotStatus(String message, URI lraId, Class<?> participantClazz)`
Asserts that status was not called for given LRA and resource participant class translated to fully qualified classname as String, if not the `AssertionError` with the given message is thrown.
`void`
`assertStatus(String message, URI lraId, Class<?> participantClazz)`
Asserts that status was called for given LRA and participant class translated to fully qualified classname as String, if not the `AssertionError` with the given message is thrown.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LRAMetricAssertions

public LRAMetricAssertions()

## Method Details

### assertCompensated

public void assertCompensated(String message, URI lraId, Class<?> participantClazz)
Asserts that compensated was called for given LRA and participant class translated to fully qualified classname as String, if not the `AssertionError` with the given message is thrown.

Parameters:
  `message` - assertion message when the check fails
  `lraId` - LRA id which the assertion check will be taken against
  `participantClazz` - the participant class used as resource name in the map

### assertNotCompensated

public void assertNotCompensated(String message, URI lraId, Class<?> participantClazz)
Asserts that compensated was not called for given LRA and participant class translated to fully qualified classname as String, if not the `AssertionError` with the given message is thrown.

Parameters:
  `message` - assertion message when the check fails
  `lraId` - LRA id which the assertion check will be taken against
  `participantClazz` - the participant class used as resource name in the map

### assertCompensatedEquals

public void assertCompensatedEquals(String message, int expectedNumber, URI lraId, Class<?> participantClazz)
Asserts that compensated was called `expectedNumber` times for given LRA and participant class translated to fully qualified classname as String, if not the `AssertionError` with the given message is thrown.

Parameters:
  `message` - assertion message when the check fails
  `expectedNumber` - expected count for the compensated calls to be found in the metric data
  `lraId` - LRA id which the assertion check will be taken against
  `participantClazz` - the participant class used as resource name in the map

### assertCompensatedAllEquals

public void assertCompensatedAllEquals(String message, int expectedNumber)
Asserts that compensated was called `expectedNumber` times for all LRAs and resources, if not the `AssertionError` with the given message is thrown.

Parameters:
  `message` - assertion message when the check fails
  `expectedNumber` - expected count for all the compensated calls to be found in the metric data

### assertCompleted

public void assertCompleted(String message, URI lraId, Class<?> participantClazz)
Asserts that completed was called for given LRA and participant class translated to fully qualified classname as String, if not the `AssertionError` with the given message is thrown.

Parameters:
  `message` - assertion message when the check fails
  `lraId` - LRA id which the assertion check will be taken against
  `participantClazz` - the participant class used as resource name in the map

### assertNotCompleted

public void assertNotCompleted(String message, URI lraId, Class<?> participantClazz)
Asserts that completed was not called for given LRA and resource participant class translated to fully qualified classname as String, if not the `AssertionError` with the given message is thrown.

Parameters:
  `message` - assertion message when the check fails
  `lraId` - LRA id which the assertion check will be taken against
  `participantClazz` - the participant class used as resource name in the map

### assertCompletedEquals

public void assertCompletedEquals(String message, int expectedNumber, URI lraId, Class<?> participantClazz)
Asserts that completed was called `expectedNumber` times for given LRA and participant class translated to fully qualified classname as String, if not the `AssertionError` with the given message is thrown.

Parameters:
  `message` - assertion message when the check fails
  `expectedNumber` - expected count for the completed calls to be found in the metric data
  `lraId` - LRA id which the assertion check will be taken against
  `participantClazz` - the participant class used as resource name in the map

### assertCompletedAllEquals

public void assertCompletedAllEquals(String message, int expectedNumber)
Asserts that completed was called `expectedNumber` times for all LRAs and resources, if not the `AssertionError` with the given message is thrown.

Parameters:
  `message` - assertion message when the check fails
  `expectedNumber` - expected count for all the compensated calls to be found in the metric data

### assertClosed

public void assertClosed(String message, URI lraId, Class<?> participantClazz)
Asserts that closed was called for given LRA and participant class translated to fully qualified classname as String, if not the `AssertionError` with the given message is thrown.

Parameters:
  `message` - assertion message when the check fails
  `lraId` - LRA id which the assertion check will be taken against
  `participantClazz` - the participant class used as resource name in the map

### assertNotClosed

public void assertNotClosed(String message, URI lraId, Class<?> participantClazz)
Asserts that closed was not called for given LRA and resource participant class translated to fully qualified classname as String, if not the `AssertionError` with the given message is thrown.

Parameters:
  `message` - assertion message when the check fails
  `lraId` - LRA id which the assertion check will be taken against
  `participantClazz` - the participant class used as resource name in the map

### assertCancelled

public void assertCancelled(String message, URI lraId, Class<?> participantClazz)
Asserts that cancelled was called for given LRA and participant class translated to fully qualified classname as String, if not the `AssertionError` with the given message is thrown.

Parameters:
  `message` - assertion message when the check fails
  `lraId` - LRA id which the assertion check will be taken against
  `participantClazz` - the participant class used as resource name in the map

### assertNotCancelled

public void assertNotCancelled(String message, URI lraId, Class<?> participantClazz)
Asserts that cancelled was not called for given LRA and resource participant class translated to fully qualified classname as String, if not the `AssertionError` with the given message is thrown.

Parameters:
  `message` - assertion message when the check fails
  `lraId` - LRA id which the assertion check will be taken against
  `participantClazz` - the participant class used as resource name in the map

### assertAfterLRA

public void assertAfterLRA(String message, URI lraId, Class<?> participantClazz)
Asserts that afterLRA was called for given LRA and participant class translated to fully qualified classname as String, if not the `AssertionError` with the given message is thrown.

Parameters:
  `message` - assertion message when the check fails
  `lraId` - LRA id which the assertion check will be taken against
  `participantClazz` - the participant class used as resource name in the map

### assertNotAfterLRA

public void assertNotAfterLRA(String message, URI lraId, Class<?> participantClazz)
Asserts that afterLRA was not called for given LRA and resource participant class translated to fully qualified classname as String, if not the `AssertionError` with the given message is thrown.

Parameters:
  `message` - assertion message when the check fails
  `lraId` - LRA id which the assertion check will be taken against
  `participantClazz` - the participant class used as resource name in the map

### assertForget

public void assertForget(String message, URI lraId, Class<?> participantClazz)
Asserts that forget was called for given LRA and participant class translated to fully qualified classname as String, if not the `AssertionError` with the given message is thrown.

Parameters:
  `message` - assertion message when the check fails
  `lraId` - LRA id which the assertion check will be taken against
  `participantClazz` - the participant class used as resource name in the map

### assertNotForget

public void assertNotForget(String message, URI lraId, Class<?> participantClazz)
Asserts that forget was not called for given LRA and resource participant class translated to fully qualified classname as String, if not the `AssertionError` with the given message is thrown.

Parameters:
  `message` - assertion message when the check fails
  `lraId` - LRA id which the assertion check will be taken against
  `participantClazz` - the participant class used as resource name in the map

### assertForgetEquals

public void assertForgetEquals(String message, int expectedNumber, URI lraId, Class<?> participantClazz)
Asserts that forget was called `expectedNumber` times for given LRA and participant class translated to fully qualified classname as String, if not the `AssertionError` with the given message is thrown.

Parameters:
  `message` - assertion message when the check fails
  `expectedNumber` - expected count for the forget calls to be found in the metric data
  `lraId` - LRA id which the assertion check will be taken against
  `participantClazz` - the participant class used as resource name in the map

### assertStatus

public void assertStatus(String message, URI lraId, Class<?> participantClazz)
Asserts that status was called for given LRA and participant class translated to fully qualified classname as String, if not the `AssertionError` with the given message is thrown.

Parameters:
  `message` - assertion message when the check fails
  `lraId` - LRA id which the assertion check will be taken against
  `participantClazz` - the participant class used as resource name in the map

### assertNotStatus

public void assertNotStatus(String message, URI lraId, Class<?> participantClazz)
Asserts that status was not called for given LRA and resource participant class translated to fully qualified classname as String, if not the `AssertionError` with the given message is thrown.

Parameters:
  `message` - assertion message when the check fails
  `lraId` - LRA id which the assertion check will be taken against
  `participantClazz` - the participant class used as resource name in the map

### assertNested

public void assertNested(String message, URI lraId, Class<?> participantClazz)
Asserts that nested was called for given LRA and participant class translated to fully qualified classname as String, if not the `AssertionError` with the given message is thrown.

Parameters:
  `message` - assertion message when the check fails
  `lraId` - LRA id which the assertion check will be taken against
  `participantClazz` - the participant class used as resource name in the map

### assertNotNested

public void assertNotNested(String message, URI lraId, Class<?> participantClazz)
Asserts that nested was not called for given LRA and resource participant class translated to fully qualified classname as String, if not the `AssertionError` with the given message is thrown.

Parameters:
  `message` - assertion message when the check fails
  `lraId` - LRA id which the assertion check will be taken against
  `participantClazz` - the participant class used as resource name in the map

### assertNestedEquals

public void assertNestedEquals(String message, int expectedNumber, URI lraId, Class<?> participantClazz)
Asserts that nested was called `expectedNumber` times for given LRA and participant class translated to fully qualified classname as String, if not the `AssertionError` with the given message is thrown.

Parameters:
  `message` - assertion message when the check fails
  `expectedNumber` - expected count for the nested calls to be found in the metric data
  `lraId` - LRA id which the assertion check will be taken against
  `participantClazz` - the participant class used as resource name in the map

### assertFinished

public void assertFinished(String message, URI lraId, Class<?> participantClazz)
Asserts that given LRA within the resource name (taken as fully qualified class name) was finished, if not the `AssertionError` with the given message is thrown.

Parameters:
  `message` - assertion message when the check fails
  `lraId` - LRA id which the assertion check will be taken against
  `participantClazz` - the participant class used as resource name in the map